/* kaltura-html.js */

// CONFIG
var leadWithHTML5Player = false;

// = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = //

function writeKalturaHTML(player_id, itemprop_name, itemprop_description, itemprop_duration, itemprop_thumbnail) {

    var width = window.innerWidth;
    var height = window.innerHeight;
    
    stripped_player_id = player_id.split('_')[2];
    stripped_entry_id = itemprop_thumbnail.split('/')[9];
            
    if(leadWithHTML5Player) addParam = 'flashvars%5BKaltura.LeadWithHTML5%5D=true&';
    else addParam = '';
    
    document.write('<div id="' + player_id + '" style="width: ' + width + 'px; height: ' + height + 'px;" itemprop="video" itemscope itemtype="http://schema.org/VideoObject">');
    document.write('    <span itemprop="name" content="' + itemprop_name + '"></span>');
    document.write('    <span itemprop="description" content="' + itemprop_description + '"></span>');
    document.write('    <span itemprop="duration" content="' + itemprop_duration + '"></span>');
    document.write('    <span itemprop="thumbnail" content="' + itemprop_thumbnail +'"></span>');
    document.write('    <span itemprop="width" content="' + width +'"></span>');
    document.write('    <span itemprop="height" content="' + height + '"></span>');
    document.write('</div><script defer src="http://www.kaltura.com/p/1068292/sp/106829200/embedIframeJs/uiconf_id/11673211/partner_id/1068292?' + addParam + 'autoembed=true&entry_id=' + stripped_entry_id + '&playerId=' + player_id + '&cache_st=' + stripped_player_id + '&width=' + width + '&height=' + height + '"></script>');
}

// = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = //